gtg is uber slow on startup when showing ~150 tasks in "all tasks"

Reported by Jean-François Fortin Tam on 2010-05-29
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Getting Things GNOME!
Critical
Izidor Matušov

Bug Description

GTG 0.2.4 or GTG 0.3.0~ubuntu108. My Atom CPU gets eaten alive by GTG when clicking "All tasks", for roughly 10-20 seconds.

Related branches

Actually, I'm not sure this is still relevant with the bzr trunk version (which seems really fast, but seems to have really weird task counting bugs).

Lionel Dricot (ploum) wrote :

This is believed to be fixed in trunk.

If you can reproduce this with trunk, please reopen the bug and give us a way to reproduce it.

Changed in gtg:
assignee: nobody → Lionel Dricot (ploum)
milestone: none → 0.3
status: New → Fix Committed
Lionel Dricot (ploum) on 2011-08-08
Changed in gtg:
milestone: 0.3 → 0.2.9
Lionel Dricot (ploum) on 2011-08-12
Changed in gtg:
importance: Undecided → High
Changed in gtg:
status: Fix Committed → New

Not fixed as of bzr revision 985. I don't have a netbook anymore, but a 5 years old thinkpad with a Pentium M on it (a vast improvement over an Atom CPU).

GTG 0.2.4 loads/populates my 150 tasks in ~5-10 seconds
GTG bzr 985 needs a minute to do the same thing, with 100% cpu usage.

cProfile and gprof2dot graph attached.

summary: - gtg is uber slow when showing ~100 tasks in "all tasks" on a netbook
+ gtg is uber slow on startup when showing ~150 tasks in "all tasks"
Izidor Matušov (izidor) wrote :

I have a few tips how to improve performance on startup... I'll try to do that

Changed in gtg:
assignee: Lionel Dricot (ploum) → Izidor Matušov (izidor)
Izidor Matušov (izidor) on 2011-09-25
Changed in gtg:
status: New → Confirmed
Izidor Matušov (izidor) wrote :

After consulting with ploum, we decided to deal with performance issues during 0.3 release cycle -- which will be about debugging backends support and preformance issues.

Changed in gtg:
milestone: 0.2.9 → 0.3
Izidor Matušov (izidor) on 2011-11-28
Changed in gtg:
assignee: Izidor Matušov (izidor) → nobody
Lionel Dricot (ploum) wrote :

Can someone try rev 1091 and 1092 to see if, like me, there's a huge perf regression in that revision?

pfrenssen (pieter-frenssen) wrote :

I have around 250 tasks. I'm testing with liblarch rev c88ff146cda0 (20120324)

r1091: 1:14 minutes
r1092: 1:26 minutes
r1149: 1:59 minutes

It seems to have gotten worse. I am getting many errors with the latest revision (r1149):

2012-04-03 03:15:35,926 - ERROR - CellRendererTags:on_render:146 - Can't load icon 'gtg-tags-all'
2012-04-03 03:15:35,927 - ERROR - CellRendererTags:on_render:146 - Can't load icon 'gtg-tags-none'

pfrenssen (pieter-frenssen) wrote :

The errors I am getting are just harmless warnings. I have tested the revision that introduced them and it does not impact the loading time. Ref. http://bazaar.launchpad.net/~gtg/gtg/trunk/revision/1117

Test results for this revision and the preceding one:

r1116: 1:19 minutes
r1117: 1:20 minutes

Izidor Matušov (izidor) wrote :

I am playing with installation script and break manual instalation by python setup.py install. I wil fix it this week.

I did some profiling and find potential to show fully loaded GTG under 5 seconds: https://lists.launchpad.net/gtg-contributors/msg00781.html

It is my personal priority to solve this bug over the next few weeks.

Changed in gtg:
assignee: nobody → Izidor Matušov (izidor)
importance: High → Critical
Ricardo Graça (devius) wrote :

Anyone wishing to test the performance can use the following command:

./scripts/debug.sh -s bryce

This is available with the source code and can be run in the trunk directory after checking out the files from the public repository.

Izidor Matušov (izidor) on 2012-05-03
Changed in gtg:
status: Confirmed → In Progress
Izidor Matušov (izidor) wrote :

Fix committed at rev 1177.

Changed in gtg:
status: In Progress → Fix Committed
Enki1122 (xerotonin) on 2012-07-08
Changed in gtg:
status: Fix Committed → Fix Released
Izidor Matušov (izidor) wrote :

Enki1122> Fix Released is a state reserved for a situation when an official GTG release is available.

Changed in gtg:
status: Fix Released → Fix Committed
Changed in gtg:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers